GIT-SUMMARY(1)

NAME
GIT-SUMMARY - summarize the status of a collection of Git repositories

SYNOPSIS
git-summary [-h] [-l] [-d] [-q] [-s] [path]

DESCRIPTION

git-summary displays a table on the terminal summarizing the status of multiple Git repositories. If the given path is within a Git repository, then only information for that repository is shown. Otherwise (the path is not in a Git repository), subdirectories of this directory that are Git repositories are chosen. The default path if none is given is the current directory.

Before displaying any information on a repository, git fetch is run to update remote information.

Displayed information includes:

- The repository location on disk.
- The current branch name.
- Presence of uncommitted changes.
- Presence of untracked files.
- Presence of unpushed and unpulled changes, if the current branch is tracking an upstream branch.

OPTIONS

-h  Display a help message showing how to use the program.

-l  Local operation only, do not fetch.

-d  Deep lookup, search the full directory tree for Git repositories. By default, only subdirectories immediately below the given one are checked.

-q  Quiet mode, only print outdated repositories.

-s  Sorted output, display repositories in sorted order. By default, repositories are checked in parallel and may appear in any order. This mode slows down operation as it serializes fetching of remotes.